I just became a member on this site and my question has probably been answered already but I haven't found it yet. I had a friend mod my PSP. He made it the 1.5 and 3.4 versions. The bad part of that is that I can't connect with my buddies in socom 2. I've been reading into it and it looks like I need the 3.51 version or newer to play it. I downloaded the 3.72 and I get the DADADADA error. So far, none of the fixes are working for me but also none of them were made for my current version. Do any of you guys know what I can do? Thanks